net.sourceforge.pmd.lang.dfa

## Class SequenceChecker

- java.lang.Object
- - net.sourceforge.pmd.lang.dfa.SequenceChecker

    public class SequenceChecker
    extends Object

Author:
  raik

  Computes the first sequence in a list.

  e.g. IF_START 0 WHILE_EXPR 1 WHILE_END 2 IF_END 3

  The first sequence is WHILE_EXPR und WHILE_END. It returns always the first inner nested scope.

### Constructor Summary

Constructors
Constructor and Description
`SequenceChecker(List<StackObject> bracesList)`

### Method Summary

Methods
`int` `getFirstIndex()`
`int` `getLastIndex()`
`boolean` `run()` Finds the first most inner sequence e.g IFStart & IFEnd.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SequenceChecker

    public SequenceChecker(List<StackObject> bracesList)

### Method Detail

#### run

    public boolean run()

Finds the first most inner sequence e.g IFStart & IFEnd. If no sequence is found or the list is empty the method returns false.

#### getFirstIndex

    public int getFirstIndex()

#### getLastIndex

    public int getLastIndex()